curl --request POST \
--url https://test-api.sandbox.co.in/kyc/pan-aadhaar/status \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"@entity": "in.co.sandbox.kyc.pan_aadhaar.status",
"pan": "XXXPX1234A",
"aadhaar_number": "123456789012",
"consent": "y",
"reason": "For Testing"
}
'{
"code": 200,
"timestamp": 1000000000000,
"transaction_id": "de97e30a-2043-4ab0-84ff-0fbba3434a8f",
"data": {
"@entity": "in.co.sandbox.kyc.pan_aadhaar.status.response",
"aadhaar_seeding_status": "y",
"message": "Your PAN is linked to Aadhaar Number XXXX XXXX 9999."
}
}API verifies the PAN Aadhaar Link for a user.
curl --request POST \
--url https://test-api.sandbox.co.in/kyc/pan-aadhaar/status \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"@entity": "in.co.sandbox.kyc.pan_aadhaar.status",
"pan": "XXXPX1234A",
"aadhaar_number": "123456789012",
"consent": "y",
"reason": "For Testing"
}
'{
"code": 200,
"timestamp": 1000000000000,
"transaction_id": "de97e30a-2043-4ab0-84ff-0fbba3434a8f",
"data": {
"@entity": "in.co.sandbox.kyc.pan_aadhaar.status.response",
"aadhaar_seeding_status": "y",
"message": "Your PAN is linked to Aadhaar Number XXXX XXXX 9999."
}
}Documentation Index
Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
Use this file to discover all available pages before exploring further.
JWT access token. For token-generation steps, refer to the Quickstart Guide.
API key used to identify and authenticate the client.
Specifies the API version for the request.
Media type of the request body.
application/json in.co.sandbox.kyc.pan_aadhaar.status Permanent Account Number to be verified against Aadhaar linkage records.
^[A-Z]{5}[0-9]{4}[A-Z]{1}$12-digit Aadhaar number of the PAN holder used to validate PAN–Aadhaar linkage.
^[0-9]{12}$Explicit consent from the end user to retrieve and verify PAN and Aadhaar linkage information.
Y, y Purpose for requesting PAN–Aadhaar verification.
20The response is of type object.
Was this page helpful?